*********** Income variables : BRAZIL IPUMS  ****************************************************************** ****************************************************************** 

** inctot
*9999998 = Unknown/missing. 
*9999999 = NIU (not in universe).
*Brazil 1991: 9,999,997+ (top code)

** incearn
*99999998 = Unknown/missing. 
*99999999 = NIU (not in universe).



***** 1) Recoding inctot and incearn

*** a) 1980

if year==1980{

** i) Inctot

gen double inctot_bis=inctot // destin  etre dropp (contrairment  inctot_IPUMS qui sert  garder la version originale)
* 9999998 = Unknown/missing. 
* 9999999 = NIU (not in universe): people aged less than 10
* rq: top-code for Brazil 1991: 9,999,997+
*INCTOT reports the person's total personal income from all sources in the
* previous month or year.
replace inctot_bis= . if inctot_bis==9999998
replace inctot_bis=0 if inctot_bis==9999999


/** br1980a_njob: job situation last week
1	Just one job	1,973,765
2	Multiple jobs (primary occ. plus others)	57,654
3	Only working in secondary job	26,266
4	Seeking employment	27,527
5	Retired	2,447
6	Didnt work and wasn"t looking	11,873
9	NIU (not in universe)	3,770,935 (Persons age 10+ who worked)
*/
*ATTENTION: il y a des questions  la fois sur le ft d'avoir travaill last week et
*dans l'anne dans le recensement fde 1980!!!
*tab classwk br1980a_njob

/** br1980a_work: Worked in the last 12 months
1	Yes	2,081,044
2	No	2,250,217
3	Drought front (frente da seca)	19,078
9	NIU (not in universe)	1,520,128  (Persons age 10+)
**/
*tab br1980a_work br1980a_njob // logique
*tab br1980a_work classwk // logique
* classwk comptabilise les gens comme ne travaillany suivant la dernire anne
* la diff sur l'univers vient de unknown et drought front qui est pas clair



** br1980a_grossinc: Gross earnings in principal occupation
*0 = Zero earnings. 
*9999998 = Unknown. 
*9999999 = NIU. (Persons ages 10+ who worked)
/*Q 37: Monthly gross income, received in money in the occupation declared
in question 30 (Occupation, profession, task, function, etc, that was exercised for the longest time
(If changed occupations definitively note current occupation))*/
/*tab br1980a_njob if br1980a_grossinc==0
tab br1980a_njob if br1980a_grossinc==9999999
tab br1980a_njob if br1980a_grossinc!=0 &br1980a_grossinc!=9999998 &br1980a_grossinc!= 9999999
tab classwk  if br1980a_grossinc==0
tab classwk  if br1980a_grossinc==9999999
tab classwk  if br1980a_grossinc!=0 &br1980a_grossinc!=9999998 &br1980a_grossinc!= 9999999
tab br1980a_work  if br1980a_grossinc==0
tab br1980a_work  if br1980a_grossinc==9999999
tab br1980a_work  if br1980a_grossinc!=0 &br1980a_grossinc!=9999998 &br1980a_grossinc!= 9999999
*il ya qyelques inconsistent replies mais ds l'ensemble a va
*/
rename br1980a_grossinc inc_mainjob
replace inc_mainjob=. if inc_mainjob==9999998
replace inc_mainjob=0 if inc_mainjob==9999999


** br1980a_earnprod:Earning in products/merchandise in principal occupation
*0 = Zero earnings. 
*9999998 = Unknown. 
*9999999 = NIU. (Persons age 10+ who worked)
*This variable identifies the person's earnings from products/merchandise
 *sold in their principal occupation. ==> mauvaise traduction c'est le paiement 
 *en nature en ralit pas pris en compte dans la Q 37
/* Q 38: 
So havera registro de valor quando a pessoa receber, pelo trabalho exercido, pagamento em produtos o mercadorias.
No caso de receber parte em dinheiro e parte em produtos ou mercadorias, a parte em dinheiro sera registrada no quesito 37 e o valor da parte em produtos ou mercadorias, neste quesito.
O registro sera do valor medio meansal, real ou estimado, dos produtos ou mercadorias comercializadas nos ultimos 12 meses (valor do mercado), que recebeu pela ocupacao declarada no quesito 30.
Nao computar o valor da producao para consumo proprio.
--> trad: So there will be value record when the person receive at work exercised , payment in goods the goods.
If you receive part in cash and part in products or goods , the cash portion will be recorded in the category 37 and the value of the portion in products or goods , in this regard .
The record will be the average value meansal actual or estimated , of the products or goods traded in the last 12 months ( market value ) , which received the occupation declared in the item 30 .
Not compute the value of production for own consumption.
rq: IPUMS is wrong when it says that its solely from principal occupation
*/
rename br1980a_earnprod inc_jobinkind
replace inc_jobinkind =. if inc_jobinkind==9999998
replace inc_jobinkind =0 if inc_jobinkind==9999999


** br1980a_incother: Monetary gross income in other occupations
*0 = NIU.  (Persons age 10+ who worked a secondary occupation during the week prior to the census)
*9999999 = Unknown.
/*Q 39: Average gross monthly income from other occupations regularly exercised,
not including that declared in Questions 37 and 38.*/
** erreur d'IPUMS: ca concerne les pers qui ont rgulirement eu une seconde occup, pas seulement celles qui
*ont exerc une occup secondaire la semaine avant le census
/*tab br1980a_njob if br1980a_incother==0
tab br1980a_njob if br1980a_incother==9999999
tab br1980a_njob if br1980a_incother!=0  &br1980a_incother!= 9999999
*il ya qyelques inconsistent replies mais ds l'ensemble a va
*/
rename br1980a_incother inc_otherjob
replace inc_otherjob=. if inc_otherjob==9999999


**br1980a_incpens: Income received from pension
*0 = NIU. ( Persons age 10+ with pension income)
*9999999 = Unknown.
/* Q46: Monthly gross income received from retirement (FUNRURAL, reform, 
retirement, etc) from Penso de Instituto, Caixa de Assistncia Social o Fundo
 de Penso, from Abono, Permanncia [varias pension funds], and, divided by 12 
 the 14th minimum salary received from PIS or PASEP.
** rq: Do not include income deriving from contributions paid in the past to
 private funds or wage supplementing funds */
 *--> surtout pour les retraits mais pas seulement, il y a aussi des 
 *jeunes qui en recoivent (ex: auxilio-natalidad ou auxilio-doeca: aide  la 
 *maternit ou pour les maladies (ie. Scu))
*by age, sort: sum br1980a_incpens if br1980a_incpens!=9999999
*sum  br1980a_incpens  if br1980a_incpens!=9999999 & br1980a_njob==5
rename br1980a_incpens inc_pension
replace inc_pension=. if inc_pension==9999999


** br1980a_incrent: Income received from rent
*0 = NIU. (Persons age 10+ with income from rent)
*9999999 = Unknown. 
/*Q 47: Average monthly income deriving from rentals or leasing of real estate, 
furniture, vehicles, machines, etc., including sub-letting
--> pas seulement housingang rentals */
rename br1980a_incrent inc_rent
replace inc_rent=. if inc_rent==9999999 


**br1980a_incdonat: Income received from donations
*0 = NIU. (Persons age 10+ with income from donations)
*9999999 = Unknown.
/*Q 48: Average monthly income regularly received, deriving from monetary donations,
allowance (argent de poche/indemnits) from non-residents of the household, 
or alimony (pension alimentaire)*/
rename br1980a_incdonat inc_donation
replace inc_donation=. if inc_donation==9999999


** br1980a_otherinc: Other income received
*0 = NIU. (Persons age 10+ with other income)
*9999999 = Unknown.
/*Q 49: Monthly average of other income received during the last 12 months and
deriving from investment or other use of capital*/
rename br1980a_otherinc inc_othercapital
replace inc_othercapital=. if inc_othercapital==9999999


** assigner une valeur de 0 inc_jobinkind quand c'est la seule source de rmunration dans le ou les jobs 
*--> comparability purpose with the other census years
replace inc_jobinkind=0 if inc_mainjob==0 & inc_otherjob==0
*inspect inc_jobinkind if inc_mainjob==0  // ok
*inspect inc_jobinkind if inc_otherjob==0 // ok


gen double inctot_unharmonized= inc_mainjob+inc_jobinkind+inc_otherjob+inc_pension+inc_rent+inc_donation+inc_othercapital
*sum inctot_unharmonized inctot_bis
*gen test=  inctot_unharmonized-inctot_bis
*inspect inctot_unharmonized inctot_bis
*inspect test 
*inspect test if inc_jobinkind==0
*inspect inc_jobinkind
** 1  diffrence: vient du fait que inctot_bis oublie de prendre en compte inc_jobinkind
*(erreur d'IPUMS)
*inspect test if inctot_bis==9999997
*inspect test if  inctot_bis==9999997 & inc_jobinkind==0
*drop test
*br inctot_unharmonized if  inctot_bis==9999997
**2 diffrence: inctot_bis est top-coded (bien que a ne concerne qu'une seule valeur)

drop inctot_bis inctot 
rename inctot_unharmonized inctot



*** ii) Incearn

gen double incearn_bis=incearn
*99999998 = Unknown/missing. 
*99999999 = NIU (not in universe). (Persons age 10+)
*INCEARN reports the person's total income from their labor (from wages, a business, or a farm) 
*in the previous month or year.
replace incearn_bis=. if incearn_bis==99999998
replace incearn_bis=0 if incearn_bis==99999999

gen double incearn_unharmonized=inc_mainjob+inc_jobinkind+inc_otherjob 

*inspect incearn_unharmonized incearn_bis 
*gen test = incearn_unharmonized-incearn_bis 
*inspect incearn_unharmonized incearn_bis  test
*inspect incearn_unharmonized incearn_bis  test if inc_jobinkind==0
*sum incearn_unharmonized incearn_bis  test if inc_jobinkind==0
**1 diffrence: vient du fait que incearn_bis oublie de prendre en compte inc_jobinkind
*(erreur d'IPUMS)
*sum incearn_bis  if inc_mainjob==0
*sum incearn_bis  if inc_mainjob==.
*sum incearn_bis  if inc_otherjob==0
*sum incearn_bis  if inc_otherjob==.
*inspect incearn_unharmonized incearn_bis  test  if inc_otherjob!=0 & inc_jobinkind==0
*sum incearn_unharmonized incearn_bis  test  if inc_otherjob!=0 & inc_jobinkind==0
*sum incearn_unharmonized incearn_bis  test  if inc_jobinkind==0
*drop test
*2 diffrence: incearn est cod comme 0 quand inc_otherjob==0 (erreur d'IPUMS)

drop incearn_bis incearn
rename incearn_unharmonized incearn

drop br1980a_socsec inc_mainjob inc_jobinkind inc_otherjob inc_pension inc_rent inc_donation inc_othercapital
compress
}










*** b) 1991



if year==1991{

* i) Inctot



gen double inctot_bis=inctot // destin  etre dropp (contrairment  inctot_IPUMS qui sert  garder la version originale)
* 9999998 = Unknown/missing. 
* 9999999 = NIU (not in universe): people aged less than 10
* rq: top-code for Brazil 1991: 9,999,997+
*INCTOT reports the person's total personal income from all sources in the
* previous month or year.
replace inctot_bis= . if inctot_bis==9999998
replace inctot_bis=0 if inctot_bis==9999999


** br1991a_grossinc: Gross income from main occupation
*0 = No income. 
*9999998 = Unknown. 
*9999999 = NIU. ( Persons age 10+ who worked any time between September 1, 1989 and August 31, 1990)
/* Q 56: Monthly gross income in August 19911 received in money in the 
occupation declared in question 46 (. Occupation, profession, task, function, 
etc., that was exercised for the longest time. (If changed occupations 
definitively note current occupation))
rq: ne prend pas en compte les  in kind payments (dit explicitementdans le les 
consignes du questionnaire : . Amounts received from other benefits or
 advantages earned will also not be computed, such as meal tickets, bus tickets,
 etc.)
rq: IPUMS dit  90 mais mais c'est august 91 (ou averga monthly in the year prior for irreg incomes)
*/
rename br1991a_grossinc inc_mainjob
replace inc_mainjob=. if inc_mainjob==9999998
replace inc_mainjob=0 if inc_mainjob==9999999

** br1991a_grsincot: Gross income from other occupations
*0 = No income. 
*9999998 = Unknown. 
*9999999 = NIU. (Persons age 10+ who worked any time between September 1, 1989 and August 31, 1990)
/* Q 57: Monthly gross income in August 1991 received in money in other
 occupations*/
 * rq: je crois que l'universd c'est plutot les pers avec un secondary occup
rename br1991a_grsincot inc_otherjob
replace  inc_otherjob=. if inc_otherjob==9999998
replace  inc_otherjob=0 if inc_otherjob==9999999



** br1991a_incretir: Gross income from retirement pension
*0 = No income. 
*9999998 = Unknown. 
*9999999 = NIU. ( Persons age 10+)
/* Q 60: Gross monthly income for the month of august, 1990, resulting from
 retirement and/or pension */
*inspect br1991a_incretir
*inspect br1991a_incretir if   br1991a_incretir!=9999998 & age>10
*inspect br1991a_incretir if   br1991a_incretir!=9999998 &  br1991a_incretir!=9999999
* ok 
* rq: c'est seulment retrirement pension comme dit ds la description du titre de la avr
rename  br1991a_incretir inc_pension
replace inc_pension=. if inc_pension==9999998
replace inc_pension=0 if inc_pension==9999999
*tab age if inc_pension!=0 // pas que les vieux, comme en 1980


** br1991a_otherinc: Gross income or monthly average from other income
*0 = No income. 
*9999998 = Unknown. 
*9999999 = NIU. (Persons age 10+)
/* Q 61: 61. Gross monthly income for the month of August 1990, or monthly 
average of other sources of income that don't fall into any of the abovementioned 
categories, such as rents, leases, donations, capital earnings, etc.*/
**COMPARABILITE: ds les instructions, on voit que br1991a_otherinc regroupe les
* catgories de br1980a_incrent, br1980a_incdonat et br1980a_incother mais pas
* celle de br1980a_earnprod ==> il n'y a pas d'quivalent  br1980a_earnprod
*en dans les questions du recensement de 1991
rename br1991a_otherinc inc_other
replace inc_other=. if inc_other==9999998
replace inc_other=0 if inc_other==9999999



gen double inctot_unharmonized=inc_mainjob+inc_otherjob+inc_pension+inc_other
*inspect inctot_unharmonized inctot_bis // pareil
*sum  inctot_unharmonized inctot_bis // pas  pareil
*gen test=  inctot_unharmonized-inctot_bis
*sum test if inctot_bis!= 9999997
*sum test if inctot_bis== 9999997
*drop test
* ==> la seule diffrence tient au top-code

drop inctot_bis inctot
rename inctot_unharmonized inctot


*br1991a_totincom: Total nominal income
*0 = No income. 
*9999998 = Unknown. 
*9999999 = NIU. (Persons age 10+)
** ==> je crois que c'est inctot not top coded
replace br1991a_totincom=. if br1991a_totincom==9999998
replace br1991a_totincom=0 if br1991a_totincom==9999999
*gen test = inctot - br1991a_totincom
*inspect  inctot br1991a_totincom  test
*sum test 
*drop test
** ==> oui pareil donc pas besoin de perdre du temps  calculer inctot_unharm
drop br1991a_totincom




* ii) incearn


gen double incearn_bis=incearn
*99999998 = Unknown/missing. 
*99999999 = NIU (not in universe). (Persons age 10+)
*INCEARN reports the person's total income from their labor (from wages, a business, or a farm) 
*in the previous month or year.
replace incearn_bis=. if incearn_bis==99999998
replace incearn_bis=0 if incearn_bis==99999999


gen double incearn_unharmonized=inc_mainjob+inc_otherjob

*gen test = incearn_unharmonized-incearn_bis 
*inspect incearn_unharmonized incearn_bis  test
*sum incearn_unharmonized incearn_bis  test
*drop test
* ok: pareil

drop incearn_bis incearn
rename incearn_unharmonized incearn

drop br1991a_socsec inc_mainjob inc_otherjob inc_pension inc_other
compress
}





*** c) 2000

if year==2000{

* i) Inctot


gen double inctot_bis=inctot // destin  etre dropp (contrairment  inctot_IPUMS qui sert  garder la version originale)
* 9999998 = Unknown/missing. 
* 9999999 = NIU (not in universe): people aged less than 10
* rq: top-code for Brazil 1991: 9,999,997+
*INCTOT reports the person's total personal income from all sources in the
* previous month or year.
replace inctot_bis= . if inctot_bis==9999998
replace inctot_bis=0 if inctot_bis==9999999


** br2000a_grosinc: Gross monthly income in principal job
* 999999 = NIU. (Persons age 10+ who worked last week and received income)
/* Q 4.51: What was your gross income during the month of July 2000, in your 
principal job?
* rq: effectivement le travail principal se rfre  la semaine prcdent le 
census dans les questions mais il est prcis qu'il faut avoir un boulotn, pas 
spcifiquement travaill cette semaine (on poeut etre tomb malada, etre parti 
en vacs etc)
* rq:  For persons who receive in products or merchandise of the area of work
 including farming, silviculture, cattle raising, plant extraction, fishing, 
 and fish raising, record:
 real or estimated amount normally received in July, 2000, from monthly production; and
average real or estimated monthly amount that the person would usually earn in July, 2000, from seasonal production (temporary production, that is, not produced all year round).
Do not compute the amount of the production for consumption by that person or family or the part earned in benefits, such as housing, food (meals, food baskets, foodstuffs or meal tickets), clothing, transportation tickets, etc.
--> inc_jobinkind est inclu mais seulement si la personne a aussi un 
rmuunration montaire (sinon, c'est cod 1 dans le census)
*/
rename br2000a_grosinc inc_mainjob
replace inc_mainjob=0 if inc_mainjob==999999


** br2000a_groincad: Gross monthly income in additional jobs
* 999999 = NIU.(Persons age 10+ who had 2 or more jobs)
/* Q 4.52: What was your gross monthly income in July, 2000:  In your other jobs? 
When person only has one job, mark don't have other jobs.
* mmes instructions que pour principal job sinon (y compris pour in kind)
*/
rename br2000a_groincad inc_otherjob
replace inc_otherjob=0 if inc_otherjob==999999




** br2000a_incretir: Earnings from retirement/pension
*999999 = NIU. (Persons age 10+)
/*Q 4.57: Received income in July, 2000 deriving from:  Retirement, pension?
*--> comme 80 et91 sauf que contient aussi private pensions qui avt ete inclu dans inc_other
*/
rename br2000a_incretir inc_pension
replace inc_pension=0 if inc_pension==999999




** br2000a_incrent: Income from rents
*999999 = NIU. (Persons age 10+)
/*Q 4.58 : Received income in July, 2000 deriving from: Rentals?
Rentals are understood as income received in July, 2000 as rent, including 
sub-letting or leasing of furniture, real estate, machinery, equipment,
animals, etc.
*/
rename br2000a_incrent inc_rent
replace inc_rent=0 if inc_rent==999999



** br2000a_incal: Earnings from alimony, allowance, donation
* 999999 = NIU (Persons age 10+)
/* Q 4.59: Received income in July, 2000 deriving from:  Support in the form of
 food, monthly stipend, donation, received from a nonmember of the household?
* rq: quand ils disent in the form of "food" c'est une erreur de traduction, c'est
 pensiuon alimentaire en fait */
rename br2000a_incal inc_donation
replace inc_donation=0 if inc_donation==999999


** br2000a_incfed: Income from Federal minimum income program, school allowance, and unemployment insurance
*999999 = NIU. (Persons age 10+)
/* Q 4.60: Received income in July, 2000 deriving from: Minimum Income, School
 Subsidies (Bolsa-Escola), unemployment benefits, etc.? (Official aid programs)
*rq: pas inclu dans  les rzecensements prcdents mais peut etre n'existraient-ils
pas avant? */
rename br2000a_incfed inc_socsecunotpension
replace inc_socsecunotpension=0 if  inc_socsecunotpension== 999999


** br2000a_incother: Other income
* 999999 = NIU. (' Persons age 10+)
/* Q 4.61:  Received income in July, 2000 deriving from: Others
The income or, if such is the case, the sum total of the income regularly 
received for the month of July, 2000 as bonus for permanence on the job
 (a benefit that was granted to a person who, although he or she had worked
 long enough to retire, continued working rather than applying for retirement.
 This benefit is commonly known as "foot in the grave" (p na cova), pension
 paid entirely by an insurance company or a private open social security
 organization, interest from short-term financial investments, dividends, 
 interest on fixed income, etc. */
rename  br2000a_incother inc_other
replace inc_other=0  if inc_other==999999



*** test 1
gen double inctot_unharmonized= inc_mainjob+inc_otherjob+inc_pension+inc_rent+inc_donation+inc_socsecunotpension+inc_other
*gen test=  inctot_unharmonized-inctot_bis
*inspect inctot_unharmonized inctot_bis test
*sum inctot_unharmonized inctot_bis test
*drop test
*==> ok pareil


*** test 2
**br2000a_totinc: Total income
*999999 = NIU. ( Persons age 10+)
replace br2000a_totinc=0 if br2000a_totinc==999999
*gen test=  inctot_unharmonized-br2000a_totinc
*inspect inctot_unharmonized br2000a_totinc test
*sum test
*drop test 
drop br2000a_totinc
* ok pareil que inctot (sauf pour le code de NIU puisqu'ne 200 c'est une 6-digit var)

*** test 3
** br2000a_incprc: Total monthly income in principal job
*999999 = NIU. (Persons age 10+ who worked last week)
replace br2000a_incprc=0 if br2000a_incprc==999999
*gen test = inc_mainjob-br2000a_incprc
*inspect inc_mainjob br2000a_incprc test
*sum inc_mainjob br2000a_incprc test
*drop test 
drop br2000a_incprc 
* ok pareil, br2000a_incprc fait doublon avec br2000a_grosinc

*** test 4 
*br2000a_inctotad: Total monthly income in additional jobs 
*999999 = NIU. ( Persons age 10+ who worked last week)
replace br2000a_inctotad=0 if br2000a_inctotad==999999
*gen test = inc_otherjob-br2000a_inctotad
*inspect inc_otherjob br2000a_inctotad test
*sum inc_otherjob br2000a_inctotad test
*drop test 
drop br2000a_inctotad
* ok pareil, br2000a_inctotad fait doublon avec br2000a_groincad


*** test 5 : est-ce que inc_mainjob & inc_otherjob so nt cods  mauvais
*escient comme 1 si la pers n'a qu'une in kind remuneration (suivant le coding 
*du formulaire du census?
/*br2000a_noincome: Income in principal job
0	Doesn't have	212,133
1	Only in benefits	6,040
9	NIU (not in universe)	9,917,849
*/
*sum inc_mainjob if inc_mainjob==1 // que 45 obs: ok
*by br2000a_noincome, sort: sum inc_mainjob
** ok pas de souci
drop br2000a_noincome

/* br2000a_noincad: Income in additional jobs
0	Doesn't have	3,621,479
1	Only in benefits	4,147
8	Unknown	6,510,396
9	NIU (not in universe)	
*/ 
*sum inc_otherjob if inc_otherjob==1 // ok que 8 obs
*by br2000a_noincad, sort: sum inc_otherjob
** ok pas de souci
drop br2000a_noincad
 

drop inctot_bis inctot 
rename inctot_unharmonized inctot

 
 
 
* ii) Incearn


gen double incearn_bis=incearn
*99999998 = Unknown/missing. 
*99999999 = NIU (not in universe). (Persons age 10+)
*INCEARN reports the person's total income from their labor (from wages, a business, or a farm) 
*in the previous month or year.
replace incearn_bis=. if incearn_bis==99999998
replace incearn_bis=0 if incearn_bis==99999999

gen double incearn_unharmonized=inc_mainjob+inc_otherjob 

*gen test = incearn_unharmonized-incearn_bis 
*inspect incearn_unharmonized incearn_bis  test
*sum incearn_unharmonized incearn_bis  test
*drop test
** ok pareil 


**br2000a_inctot : Total monthly income in all jobs
*999999 = NIU. (Persons age 10+ who worked last week)
replace br2000a_inctot=0 if br2000a_inctot==999999
gen test=incearn_unharmonized- br2000a_inctot
inspect incearn_unharmonized br2000a_inctot test
sum  incearn_unharmonized br2000a_inctot test
drop test
** ok pareil
drop  br2000a_inctot




drop incearn_bis incearn
rename incearn_unharmonized incearn

drop br2000a_socsec inc_mainjob inc_otherjob inc_pension inc_rent inc_donation inc_socsecunotpension inc_other
compress

}




** rq: j'ai  dropp les unharm var sur inc car pas utilisables en
* tant que tels pour des raisons de compa across years (en particulier le census
* de 1991)

**** c) recode les personnes out of universe
replace inctot=. if age<10
replace incearn=. if age<10
* ATTENTION: je n'ai pas recod income as misising when income==0 ou age<10

